package com.pms.ocp.common.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * application 自定义配置值
 *
 * @author wuwanli
 * @version 1.0
 * @date 2021/8/4
 */
@Component
@Data
public class ApplicationValue {
	@Value("${beagle.jwt.secret-key}")
	public String jwtSecretKey;
	@Value("${beagle.jwt.expire-time}")
	public long jwtExpireTime;
	@Value("${beagle.jwt.token-prefix}")
	public String jwtTokenPrefix;
}
