package com.pms.ocp.common.utils;

import cn.hutool.core.date.DateTime;
import com.pms.ocp.common.constants.DateConstants;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @Author: admin
 * @Description: date工具类
 * @Date: 2021/11/25 16:34
 * @Version: V1.0
 */
public class SysDateUtil {

    public static String getYesterdayStr(DateTime dateTime) {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        return format.format(dateTime) + DateConstants.DATE_END;
    }

    public static Date getDateStr(String dateTime) throws ParseException {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        return format.parse(dateTime);
    }


    public static String getYesterdayStrShort(DateTime dateTime) {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        return format.format(dateTime);
    }
}