package com.pms.ocp.common.utils;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Author: admin
 * @Description:
 * @Date: 2021/11/26 19:48
 * @Version: V1.0
 */
@Component
@NoArgsConstructor
@AllArgsConstructor
@Data
public class ValueUtil {
    @Value("${system.company_name}")
    private String companyName;
    @Value("${system.company_code}")
    private String companyCode;

    public ValueUtil getCompany() {
        return new ValueUtil(companyName, companyCode);
    }
}