package com.pms.ocp.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.sql.Timestamp;

@Data
@Accessors(chain = true)
@TableName("ocp_api_dep")
@ApiModel("服务模型关系")
public class OcpApiDep {
  @TableId(type = IdType.AUTO)
  @ApiModelProperty("主键ID")
  private String objId;

  @ApiModelProperty("服务code")
  private String apiCode;

  @ApiModelProperty("部署公司code")
  private String depCompanyCode;

  @ApiModelProperty("部署人员id")
  private String depUserId;

  @ApiModelProperty("部署人")
  private String depUserName;

  @ApiModelProperty("部署时间")
  private Timestamp depCtime;

  @ApiModelProperty("部署修改时间")
  private Timestamp depMtime;

  @ApiModelProperty("是否删除0-否1-是")
  private long isDelete;


  public String getObjId() {
    return objId;
  }

  public void setObjId(String objId) {
    this.objId = objId;
  }


  public String getApiCode() {
    return apiCode;
  }

  public void setApiCode(String apiCode) {
    this.apiCode = apiCode;
  }


  public String getDepCompanyCode() {
    return depCompanyCode;
  }

  public void setDepCompanyCode(String depCompanyCode) {
    this.depCompanyCode = depCompanyCode;
  }


  public String getDepUserId() {
    return depUserId;
  }

  public void setDepUserId(String depUserId) {
    this.depUserId = depUserId;
  }


  public String getDepUserName() {
    return depUserName;
  }

  public void setDepUserName(String depUserName) {
    this.depUserName = depUserName;
  }


  public Timestamp getDepCtime() {
    return depCtime;
  }

  public void setDepCtime(Timestamp depCtime) {
    this.depCtime = depCtime;
  }


  public Timestamp getDepMtime() {
    return depMtime;
  }

  public void setDepMtime(Timestamp depMtime) {
    this.depMtime = depMtime;
  }


  public long getIsDelete() {
    return isDelete;
  }

  public void setIsDelete(long isDelete) {
    this.isDelete = isDelete;
  }

}
