package com.pms.ocp.service.impl;

import com.pms.ocp.mapper.ApiDetailsMapper;
import com.pms.ocp.model.QueryResponseResult;
import com.pms.ocp.model.entity.OcpApiBase;
import com.pms.ocp.model.vo.ResponseVO;
import com.pms.ocp.service.ApiDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ApiDetailsServiceImpl implements ApiDetailsService {
    @Autowired
    private ApiDetailsMapper apiDetailsMapper;
    @Override
    public ResponseVO getApiDetails(String objId) {
        OcpApiBase ocpApiBase = apiDetailsMapper.selectById(objId);
        return ResponseVO.ok(ocpApiBase);
    }
}
